<?php

namespace App\Data;

/**
 * information about a team member
 */
class Member {
    /**
     * @var AccountUser The member's user account
     */
    private AccountUser $user;

    /**
     * @var int The member's team id
     */
    private int $teamId;

    /**
     * @var MemberRole the member's role
     */
    private MemberRole $role;

    /**
     * @param int $userId
     * @param MemberRole $role
     */
    public function __construct(Account $user, int $teamId, MemberRole $role) {
        $this->user = $user;
        $this->teamId = $teamId;
        $this->role = $role;
    }


    /**
     * @return int
     */
    public function getUserId(): int {
        return $this->userId;
    }

    /**
     * @return MemberRole
     */
    public function getRole(): MemberRole {
        return $this->role;
    }

    /**
     * @return int
     */
    public function getTeamId(): int
    {
        return $this->teamId;
    }
}
