<?php

namespace App\Data;

class TacticInfo implements \JsonSerializable {
    private int $id;
    private string $name;
    private int $creation_date;

    private int $ownerId;

    /**
     * @param int $id
     * @param string $name
     * @param int $creation_date
     * @param int $ownerId
     */
    public function __construct(int $id, string $name, int $creation_date, int $ownerId) {
        $this->id = $id;
        $this->name = $name;
        $this->ownerId = $ownerId;
        $this->creation_date = $creation_date;
    }

    public function getId(): int {
        return $this->id;
    }

    public function getName(): string {
        return $this->name;
    }

    /**
     * @return int
     */
    public function getOwnerId(): int {
        return $this->ownerId;
    }

    public function getCreationTimestamp(): int {
        return $this->creation_date;
    }

    /**
     * @return array<string, mixed>
     */
    public function jsonSerialize(): array {
        return get_object_vars($this);
    }
}
